# Copyright 2019 Zuru Tech HK Limited. All Rights Reserved.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

"""Event definition as Enum."""

from enum import Enum


class Event(Enum):
    """Define all possible events."""

    ON_BATCH_START = "ON_BATCH_START"  #: On Batch Start Event
    ON_BATCH_END = "ON_BATCH_END"  #: On Batch End Event
    ON_TRAIN_START = "ON_TRAIN_START"  #: On Train Start Event
    ON_TRAIN_END = "ON_TRAIN_END"  #: On Train End Event
    ON_EPOCH_START = "ON_EPOCH_START"  #: On Epoch Start Event
    ON_EPOCH_END = "ON_EPOCH_END"  #: On Epoch End Event
    ON_EXCEPTION = "ON_EXCEPTION"  #: On Exception Event
