# Copyright 2019 Zuru Tech HK Limited. All Rights Reserved.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

"""
Collection of Fully Connected Models constructors.

.. currentmodule:: ashpy.models.fc

.. rubric:: Interfaces

.. autosummary::
    :nosignatures:
    :toctree: fc

    interfaces.FCInterface

----

.. rubric:: Decoders

.. autosummary::
    :nosignatures:
    :toctree: fc

    decoders.Decoder

----

.. rubric:: Encoders

.. autosummary::
    :nosignatures:
    :toctree: fc

    encoders.Encoder

----

.. rubric:: Autoencoders

.. autosummary::
    :nosignatures:
    :toctree: fc

    autoencoders.Autoencoder

----

.. rubric:: Modules

.. autosummary::
    :nosignatures:
    :toctree: fc
    :template: autosummary/submodule.rst

    autoencoders
    decoders
    encoders
    interfaces

"""
